Page MenuHomePhabricator

efl: introduce efl_ui_direction_readonly
ClosedPublic

Authored by bu5hm4n on Jan 24 2019, 3:51 AM.

Details

Summary

the readonly mixin implement the efl_ui_direction interface and prints a
error in case it is written.

ref T5719

Depends on D7754

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 24 2019, 3:51 AM
bu5hm4n requested review of this revision.Jan 24 2019, 3:51 AM

I am afraid of the amount of new classes that will be required to fix this issue with new _readonly classes... In the case of Efl.Ui.Direction there only seem to be 3 cases, right? wouldn't it be simpler to just define those missing setters (printing an error)?

But I agree, we need a general solution.

src/lib/ecore/efl_loop_fd_object.eo
1 ↗(On Diff #18796)

Is this file related to this patch?

bu5hm4n planned changes to this revision.Jan 24 2019, 9:30 AM
bu5hm4n added inline comments.
src/lib/ecore/efl_loop_fd_object.eo
1 ↗(On Diff #18796)

That file is a mistake

I don't think duplicating the code is that nice ... why not like this ? the amount of code does not matter that much.

bu5hm4n updated this revision to Diff 18872.Jan 25 2019, 6:53 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase.

segfaultxavi accepted this revision.Jan 25 2019, 9:00 AM

I am afraid of the explosion of _Readonly classes that we will have, but I understand the issue is complex and has already been discussed.

src/lib/efl/interfaces/efl_ui_direction_readonly.eo
5

*print an error
*readonly property (not object)

This revision is now accepted and ready to land.Jan 25 2019, 9:00 AM
cedric accepted this revision.Jan 25 2019, 11:28 AM

I am not sure that this is the best road to take as we might and end up with tons of _readonly class, but I don't see a better way and understand why we want this.

Closed by commit rEFL68d1579faad5: efl: introduce efl_ui_direction_readonly (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 26 2019, 2:45 AM
This revision was automatically updated to reflect the committed changes.